<!--
 - Created by MarosGrajcar on 2/12/2020.
 -->

<!-- Eqt Add Header Information -->
<template>
    <!-- INFORMATION HEADER -->
    <div class="slds-text-title_caps slds-section slds-p-around--small"
         style="background-color:#f5f5f5"><b>Information</b>
    </div>

    <!--NEW FORM-->
    <div if:true={flockInformation}>

        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-wrap slds-grid slds-p-around--small slds-show_medium">
            <div class="slds-size--6-of-12 slds-p-horizontal--small">
                <template if:true={location}>

                    <div class="slds-grid slds-wrap">

                        <b class="slds-size--2-of-12">Location</b>
                        <a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                           data-apiname="Location__c" class="slds-size--10-of-12">{flockInformation.Name}</a>


                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={flockInformation.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                                   data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{flockInformation.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={facility}>
                    <div class="slds-grid slds-wrap">

                        <b class="slds-size--2-of-12">Facility</b>
                        <a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                           data-apiname="Facility__c" class="slds-size--10-of-12">{flockInformation.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Plant Section</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={flockInformation.Plant_Section__c}>
                                <a onclick={redirectToRecordPage} data-id={flockInformation.Plant_Section__r.Id}
                                   data-apiname="Plant_Section__c">{flockInformation.Plant_Section__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{flockInformation.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={wellEvent}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">Well Event</b>
                        <a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                           data-apiname="Well_Event__c"
                           class="slds-size--10-of-12">{flockInformation.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={flockInformation.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                                   data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{flockInformation.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={fel}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">Functional Equipment Level</b>
                        <a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                           data-apiname="Functional_Equipment_Level__c"
                           class="slds-size--10-of-12">{flockInformation.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={flockInformation.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                                   data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{flockInformation.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={yard}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">Yard</b>
                        <a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                           data-apiname="Yard__c"
                           class="slds-size--10-of-12">{flockInformation.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={flockInformation.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                                   data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{flockInformation.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={system}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">System</b>
                        <a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                           data-apiname="System__c"
                           class="slds-size--10-of-12">{flockInformation.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={flockInformation.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                                   data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{flockInformation.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={subSystem}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">Sub System</b>
                        <a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                           data-apiname="Sub_System__c"
                           class="slds-size--10-of-12">{flockInformation.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={flockInformation.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                                   data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{flockInformation.Planner_Group__c}</span>
                    </div>
                </template>

            </div>

            <div class="slds-size--6-of-12 slds-p-horizontal--small">
                <div class="slds-grid slds-wrap">
                    <b class="slds-size--2-of-12">Form Status</b>
                    <span class="slds-size--10-of-12">Open</span>

                    <b class="slds-p-top--small slds-size--2-of-12">Expiration Date</b>
                    <lightning-formatted-date-time class="slds-p-top--small slds-size--10-of-12"
                                                   value={expirationDate}
                                                   year="numeric"
                                                   month="short"
                                                   day="2-digit">
                    </lightning-formatted-date-time>
                </div>
            </div>
        </div>

        <!--SMALL DEVICES-->
        <div class="slds-p-around--small slds-hide_medium">
            <template if:true={location}>

                <b>Location</b>
                <p><a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                      data-apiname="Location__c">{flockInformation.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={flockInformation.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                          data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{flockInformation.Planner_Group__c}</p>

            </template>

            <template if:true={facility}>

                <b>Facility</b>
                <p><a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                      data-apiname="Facility__c">{flockInformation.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Plant Section</b>
                </div>
                <template if:true={flockInformation.Plant_Section__c}>
                    <p><a onclick={redirectToRecordPage} data-id={flockInformation.Plant_Section__r.Id}
                          data-apiname="Plant_Section__c">{flockInformation.Plant_Section__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{flockInformation.Planner_Group__c}</p>

            </template>

            <template if:true={wellEvent}>

                <b>Well Event</b>
                <p><a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                      data-apiname="Well_Event__c">{flockInformation.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={flockInformation.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                          data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{flockInformation.Planner_Group__c}</p>

            </template>

            <template if:true={fel}>

                <b>Functional Equipment Level</b>
                <p><a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                      data-apiname="Functional_Equipment_Level__c">{flockInformation.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={flockInformation.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                          data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{flockInformation.Planner_Group__c}</p>

            </template>

            <template if:true={yard}>

                <b>Yard</b>
                <p><a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                      data-apiname="Yard__c">{flockInformation.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={flockInformation.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                          data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{flockInformation.Planner_Group__c}</p>

            </template>

            <template if:true={system}>

                <b>System</b>
                <p><a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                      data-apiname="System__c">{flockInformation.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={flockInformation.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                          data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{flockInformation.Planner_Group__c}</p>

            </template>

            <template if:true={subSystem}>

                <b>Sub System</b>
                <p><a onclick={redirectToRecordPage} data-id={flockInformation.Id}
                      data-apiname="Sub_System__c">{flockInformation.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={flockInformation.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={flockInformation.Route__r.Id}
                          data-apiname="Route__c">{flockInformation.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{flockInformation.Planner_Group__c}</p>

            </template>

            <div class="slds-p-top--small">
                <b>Form Status</b>
            </div>
            <p>Open</p>

            <div class="slds-p-top--small">
                <b>Expiration Date</b>
            </div>
            <p>
                <lightning-formatted-date-time value={expirationDate}
                                               year="numeric"
                                               month="short"
                                               day="2-digit">
                </lightning-formatted-date-time>
            </p>

        </div>

    </div>

    <!--VIEW AND EDIT FORM-->
    <div if:true={addForm}>

        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-wrap slds-grid slds-p-around--small slds-show_medium">
            <div class="slds-size--6-of-12 slds-p-horizontal--small">
                <template if:true={addForm.Location__r}>

                    <div class="slds-grid slds-wrap">

                        <b class="slds-size--2-of-12">Location</b>
                        <a onclick={redirectToRecordPage} data-id={addForm.Location__r.Id}
                           data-apiname="Location__c" class="slds-size--10-of-12">{addForm.Location__r.Name}</a>


                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={addForm.Location__r.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={addForm.Location__r.Route__r.Id}
                                   data-apiname="Route__c">{addForm.Location__r.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{addForm.Location__c.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={addForm.Facility__r}>
                    <div class="slds-grid slds-wrap">

                        <b class="slds-size--2-of-12">Facility</b>
                        <a onclick={redirectToRecordPage} data-id={addForm.Facility__r.Id}
                           data-apiname="Facility__c" class="slds-size--10-of-12">{addForm.Facility__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Plant Section</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={addForm.Facility__r.Plant_Section__c}>
                                <a onclick={redirectToRecordPage} data-id={addForm.Facility__r.Plant_Section__r.Id}
                                   data-apiname="Plant_Section__c">{addForm.Facility__r.Plant_Section__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{addForm.Facility__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={addForm.Well_Event__r}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">Well Event</b>
                        <a onclick={redirectToRecordPage} data-id={addForm.Well_Event__r.Id}
                           data-apiname="Well_Event__c"
                           class="slds-size--10-of-12">{addForm.Well_Event__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={addForm.Well_Event__r.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={addForm.Well_Event__r.Route__r.Id}
                                   data-apiname="Route__c">{addForm.Well_Event__r.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{addForm.Well_Event__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={addForm.Functional_Equipment_Level__r}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">Functional Equipment Level</b>
                        <a onclick={redirectToRecordPage} data-id={addForm.Functional_Equipment_Level__r.Id}
                           data-apiname="Functional_Equipment_Level__c"
                           class="slds-size--10-of-12">{addForm.Functional_Equipment_Level__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={addForm.Functional_Equipment_Level__r.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={addForm.Functional_Equipment_Level__r.Route__r.Id}
                                   data-apiname="Route__c">{addForm.Functional_Equipment_Level__r.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{addForm.Functional_Equipment_Level__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={addForm.Yard__r}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">Yard</b>
                        <a onclick={redirectToRecordPage} data-id={addForm.Yard__r.Id}
                           data-apiname="Yard__c"
                           class="slds-size--10-of-12">{addForm.Yard__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={addForm.Yard__r.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={addForm.Yard__r.Route__r.Id}
                                   data-apiname="Route__c">{addForm.Yard__r.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{addForm.Yard__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={addForm.System__r}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">System</b>
                        <a onclick={redirectToRecordPage} data-id={addForm.System__r.Id}
                           data-apiname="System__c"
                           class="slds-size--10-of-12">{addForm.System__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={addForm.System__r.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={addForm.System__r.Route__r.Id}
                                   data-apiname="Route__c">{addForm.System__r.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{addForm.System__r.Planner_Group__c}</span>
                    </div>
                </template>

                <template if:true={addForm.Sub_System__r}>
                    <div class="slds-grid slds-wrap">
                        <b class="slds-size--2-of-12">Sub System</b>
                        <a onclick={redirectToRecordPage} data-id={addForm.Sub_System__r.Id}
                           data-apiname="Sub_System__c"
                           class="slds-size--10-of-12">{addForm.Sub_System__r.Name}</a>

                        <b class="slds-p-top--small slds-size--2-of-12">Route</b>
                        <div class="slds-p-top--small slds-size--10-of-12">
                            <template if:true={addForm.Sub_System__r.Route__c}>
                                <a onclick={redirectToRecordPage} data-id={addForm.Sub_System__r.Route__r.Id}
                                   data-apiname="Route__c">{addForm.Sub_System__r.Route__r.Name}</a>
                            </template>
                        </div>

                        <b class="slds-p-top--small slds-size--2-of-12">Planner Group</b>
                        <span class="slds-p-top--small slds-size--10-of-12">{addForm.Sub_System__r.Planner_Group__c}</span>
                    </div>
                </template>

            </div>

            <div class="slds-size--6-of-12 slds-p-horizontal--small">
                <div class="slds-grid slds-wrap">
                    <b class="slds-size--2-of-12">Form Status</b>
                    <span class="slds-size--10-of-12">{addForm.Status__c}</span>

                    <b class="slds-p-top--small slds-size--2-of-12">Expiration Date</b>
                    <lightning-formatted-date-time class="slds-p-top--small slds-size--10-of-12"
                                                   value={addForm.Expiration_Date__c}
                                                   year="numeric"
                                                   month="short"
                                                   day="2-digit">
                    </lightning-formatted-date-time>
                </div>
            </div>
        </div>

        <!--SMALL DEVICES-->
        <div class="slds-p-around--small slds-hide_medium">
            <template if:true={addForm.Location__r}>

                <b>Location</b>
                <p><a onclick={redirectToRecordPage} data-id={addForm.Location__r.Id}
                      data-apiname="Location__c">{addForm.Location__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={addForm.Location__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={addForm.Location__r.Route__r.Id}
                          data-apiname="Route__c">{addForm.Location__r.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{addForm.Location__r.Planner_Group__c}</p>

            </template>

            <template if:true={addForm.Facility__r}>

                <b>Facility</b>
                <p><a onclick={redirectToRecordPage} data-id={addForm.Facility__r.Id}
                      data-apiname="Facility__c">{addForm.Facility__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Plant Section</b>
                </div>
                <template if:true={addForm.Facility__r.Plant_Section__c}>
                    <p><a onclick={redirectToRecordPage} data-id={addForm.Facility__r.Plant_Section__r.Id}
                          data-apiname="Plant_Section__c">{addForm.Facility__r.Plant_Section__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{addForm.Facility__r.Planner_Group__c}</p>

            </template>

            <template if:true={addForm.Well_Event__r}>

                <b>Well Event</b>
                <p><a onclick={redirectToRecordPage} data-id={addForm.Well_Event__r.Id}
                      data-apiname="Well_Event__c">{addForm.Well_Event__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={addForm.Well_Event__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={addForm.Well_Event__r.Route__r.Id}
                          data-apiname="Route__c">{addForm.Well_Event__r.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{addForm.Well_Event__r.Planner_Group__c}</p>

            </template>

            <template if:true={addForm.Functional_Equipment_Level__r}>

                <b>Functional Equipment Level</b>
                <p><a onclick={redirectToRecordPage} data-id={addForm.Functional_Equipment_Level__r.Id}
                      data-apiname="Functional_Equipment_Level__c">{addForm.Functional_Equipment_Level__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={addForm.Functional_Equipment_Level__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={addForm.Functional_Equipment_Level__r.Route__r.Id}
                          data-apiname="Route__c">{addForm.Functional_Equipment_Level__r.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{addForm.Functional_Equipment_Level__r.Planner_Group__c}</p>

            </template>

            <template if:true={addForm.Yard__r}>

                <b>Yard</b>
                <p><a onclick={redirectToRecordPage} data-id={addForm.Yard__r.Id}
                      data-apiname="Yard__c">{addForm.Yard__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={addForm.Yard__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={addForm.Yard__r.Route__r.Id}
                          data-apiname="Route__c">{addForm.Yard__r.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{addForm.Yard__r.Planner_Group__c}</p>

            </template>

            <template if:true={addForm.System__r}>

                <b>System</b>
                <p><a onclick={redirectToRecordPage} data-id={addForm.System__r.Id}
                      data-apiname="System__c">{addForm.System__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={addForm.System__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={addForm.System__r.Route__r.Id}
                          data-apiname="Route__c">{addForm.System__r.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{addForm.System__r.Planner_Group__c}</p>

            </template>

            <template if:true={addForm.Sub_System__r}>

                <b>Sub System</b>
                <p><a onclick={redirectToRecordPage} data-id={addForm.Sub_System__r.Id}
                      data-apiname="Sub_System__c">{addForm.Sub_System__r.Name}</a>
                </p>

                <div class="slds-p-top--small">
                    <b>Route</b>
                </div>
                <template if:true={addForm.Sub_System__r.Route__c}>
                    <p><a onclick={redirectToRecordPage} data-id={addForm.Sub_System__r.Route__r.Id}
                          data-apiname="Route__c">{addForm.Sub_System__r.Route__r.Name}</a>
                    </p>
                </template>

                <div class="slds-p-top--small">
                    <b>Planner Group</b>
                </div>
                <p>{addForm.Sub_System__r.Planner_Group__c}</p>

            </template>

            <div class="slds-p-top--small">
                <b>Form Status</b>
            </div>
            <p>{addForm.Status__c}</p>

            <div class="slds-p-top--small">
                <b>Expiration Date</b>
            </div>
            <p>
                <lightning-formatted-date-time value={addForm.Expiration_Date__c}
                                               year="numeric"
                                               month="short"
                                               day="2-digit">
                </lightning-formatted-date-time>
            </p>

        </div>

    </div>
</template>